cancel
Showing results for 
Search instead for 
Did you mean: 

How do I stop getting the prompt to update plugins?

Highlighted
New User

How do I stop getting the prompt to update plugins?

I don't want to update plugins, Firefox keeps interrupting everything I do the page keeps bumping up and down

Tags (2)
12 REPLIES
SUMO Contributor

Re: How do I stop getting the prompt to update plugins?

The page is bumping up and down? I'm not exactly sure what you mean -- a bar appears above the page with a button to take some action?

By default, Firefox will update your existing add-ons automatically without asking. If you are getting constant questions, you might have some malware on your computer. You may want to run some supplemental scans. These two tools are highly regarded:

Malwarebytes Anti-malware : http://www.malwarebytes.org/products/malwarebytes_free

SUPERAntiSpyware : http://www.superantispyware.com/

Site Moderator

Re: How do I stop getting the prompt to update plugins?

or in case you are referring to the "missing plugin" info bar, enter "about:config" into the address bar of the browser, search for a preference called "plugins.hide_infobar_for_missing_plugin" & doubleclick it in order to toggle its value to false.

http://kb.mozillazine.org/Plugins.hide_infobar_for_missing_plu...

N/A

Re: How do I stop getting the prompt to update plugins?

There shouldn't be a problem updating plugins. Some of them have their own pop ups like FLASH PLAYER.

Go to TOOLS, ADD-ONS, PLUGINS and CHECK FOR UPDATES (at top) . This will tell you which Plugins need updating. I DISABLE all plugins except for the ones I need.

SUMO Contributor

Re: How do I stop getting the prompt to update plugins?

Attention Windows Users

Apparently, the latest Flash updater doesn't remove the out-of-date Flash components right away, but only when you restart Windows. This is convenient because you don't have to close all your browsers. The downside is that Firefox keeps detecting the out-of-date files and urging you to update.

Obviously it is inconvenient to restart Windows, but at the moment, that appears to be the best workaround. If you are sure you have the current version of Flash (you can check Adobe's About Flash page) and a restart doesn't work, please post back.

The developers are aware of this problem and working on a solution for a future version of Firefox.

(It might be possible to remove the files manually and then restart just Firefox, but this probably is more work than restarting Windows.)


Edit: If someone has this problem, could you check another thing?

After updating Flash, on the add-ons page, you may see two Flash plugins listed. Can you disable the older one and see whether that suppresses the error?

orange Firefox button or classic Tools menu > Add-ons

In the left pane, click Plugins, then look for Shockwave Flash version 10.1 or earlier, and try the Disable button. You might need to restart Firefox for this to take effect.

When you visit a page with Flash video, does the error still appear?

N/A

Re: How do I stop getting the prompt to update plugins?

Perhaps if you update plugins through the TOOLS option as posted above, it might clear out the old components. You may find other plugins out of date also.

New User

Re: How do I stop getting the prompt to update plugins?

I got a message from Firefox saying that several of my plugins need updating, and that some are vulnerable to attacks from websites. I have tried repeatedly to update the Shockwave Flash and Quicktime Plug-in 7.6.4, but I keep getting the message that updated versions for my Mac with Power PC (using OSX 10.4.11) are not available. I have followed all instructions, as ambiguous and confusing as they are, to update all my Mac-compatible software as much as possible, BUT when I visit various websites I still keep getting a yellow dropdown message bar telling me that “Some plugins used by this page are out of date.” It gives me only the options to “Update Plugins,” which I’ve already tried to do in vain, or to close the message bar, which only reappears when I visit another page on the same site, or visit a different site.

HOW DO I TURN THIS OFF? This seems to be coming from Firefox, since it keeps wanting me to return to the Firefox “update your plugins” page. I’ve done all I can given what I have to work with.

This is just the latest irritating thing about Firefox, including the inability to leave comments at online magazine or newspaper websites. For that, I have to visit the sites using Safari. Firefox is also frequently telling me that I need to update to the latest version of Firefox, but when I try, it tells me that my computer cant handle the new version. THEN STOP TELLING ME TO UPDATE! If I can’t get Firefox to stop harassing me with messages insisting that I update things that I cannot update, I’ll just uninstall Firefox entirely and use other browsers.

Please advise.

Richard Wade (email removed by mod)

Site Moderator

Re: How do I stop getting the prompt to update plugins?

You can set the Boolean pref plugins.hide_infobar_for_outdated_plugin to true on the about:config page.

SUMO Contributor

Re: How do I stop getting the prompt to update plugins?

Hi Richard, I regret that Firefox is no longer supporting PowerPC-based Macs or OSX 10.4. Over time, Firefox 3.6.28 will become increasingly insecure, so you may indeed want to try some other browsers to see whether they meet your needs. Some folks have developed a Firefox-based browser named TenFourFox. It has some limitations -- such as not running plugins at all -- but might be worth a try if you don't love Safari.

New User

Re: How do I stop getting the prompt to update plugins?

Hi, I believe that Richard didn't ask for further support for Firefox, he asked how to turn off the "some plugins are out of date " notification on his CURRENT edition of Firefox, I would like to ask the same question. I am running OSX 10.5.8 and firefox 3.6.28 on a PPC Mac and have NO intention of changing or updating any of them. They were just fine as they were before some bright spark created an update for Firefox for Intel macs etc. Surely there is a line of code we can use, in fact I am 99% certain there will a line of code we can implement, because its a line of code that's making it happen, its just I dont know what it is. I dont want further support in terms of security, I just want you to return my Firefox app to what it was before YOU changed it and told me it was "out of date"...... I'm out of date but I seem to get on just fine, I cant afford a new Intel Mac and new Lion and Firefox etc....... we're in a recession just in case you hadn't figured it out. Thanks. Mike.